FENCE_LATER(9)

NAME
fence_later - return the chronologically later fence

SYNOPSIS

struct fence * fence_later(struct fence * f1, struct fence * f2);

ARGUMENTS

f1
    [in] the first fence from the same context

f2
    [in] the second fence from the same context

DESCRIPTION

Returns NULL if both fences are signaled, otherwise the fence that would be signaled last. Both fences must be from the same context, since a seqno is not re-used across contexts.

COPYRIGHT